/// API client information
///
/// @author Pierre HUBERT
#[derive(Debug)]
pub struct APIClient {
    pub id: u64,
    pub name: String,
    pub domain: Option<String>,
    pub comment: Option<String>,
    pub default_expiration_time: u64,
    pub firebase_token: Option<String>,
}

impl APIClient {
    pub fn is_firebase_available(&self) -> bool {
        self.firebase_token.is_some()
    }
}